GEThttps://api.breeze.blue/v1/api-keys

List API keys

List API keys for the signed-in user. API keys are not accepted on this endpoint.

Authentication

Browser session: Browser session required. API keys are not accepted on this endpoint.

Headers

FieldTypeDescription
cookierequiredstringAuthenticated browser session cookie (for example breeze_blue_session=...). API keys are not accepted on this endpoint.

Query parameters

FieldTypeDescription
searchstringFilter by name or prefix.
statusstringFilter by status: active or disabled.
pageinteger
default: 1
Page number.
page_sizeinteger
default: 20
Keys per page.

Example request

python import os import requests response = requests.get( "https://api.breeze.blue/v1/api-keys", headers={ "cookie": "breeze_blue_session=$BREEZE_SESSION" }, ) response.raise_for_status() print(response.json()) typescript const response = await fetch("https://api.breeze.blue/v1/api-keys", { method: "GET", headers: { cookie: "breeze_blue_session=$BREEZE_SESSION", }, }); if (!response.ok) { throw new Error("Request failed: " + response.status); } console.log(await response.json()); curl curl "https://api.breeze.blue/v1/api-keys" \ -H "cookie: breeze_blue_session=$BREEZE_SESSION"
import os
import requests

response = requests.get(
    "https://api.breeze.blue/v1/api-keys",
    headers={ "cookie": "breeze_blue_session=$BREEZE_SESSION" },
)
response.raise_for_status()

print(response.json())

Response

API key list.

Content types: application/json

{
  "items": [
    {
      "key_id": "key_01hprod",
      "name": "Example",
      "status": "active",
      "api_key": "string",
      "prefix": "string",
      "created_at": "2026-04-02T10:15:30Z",
      "last_used_at": "string",
      "disabled_at": "string",
      "expires_at": "string",
      "rotated_from_key_id": "rotated_from_key_id_01h",
      "rotated_at": "string"
    }
  ],
  "total": 1,
  "page": 1,
  "page_size": 1
}